Subject: Re: Proposed IESG Statement on IPR Declarations

From: Barry Leiba <[email-masked]>
Date: Fri, 8 Jul 2016 11:34:16 -0400

> The IESG is considering an IESG statement on IPR Declarations, and would
> like to solicit comments from the community on the proposed text. The
> proposed text is provided below.
>
> The IESG will make a decision about this matter shortly. Please provide
> comments, if any, to [email-masked] or to the IESG at [email-masked]
> before July 31, 2016.

The statement below seems to amount to "The IESG has nothing to do
with IPR disclosures," and nothing more.  I don't understand why the
IESG wants to put that out as an IESG Statement, rather than, say,
posting it prominently on the IPR disclosure pages (where people who
need to see it might actually see it), and making sure that it also
covers the IAB, and maybe the IAOC, ISOC, and the IETF Secretariat.

Barry

> ——
>
> IESG Statement on IPR Declarations:
>
> BCP 79 discusses Intellectual Property Rights (IPR) within the IETF
> process and technologies being worked on at the IETF.
>
> Among other things, BCP 79 specifies how and when IPR disclosures ought
> to be made. The purpose of such disclosures is to inform IETF
> participants and those that use IETF technologies about IPR that may be
> associated with the technology in question.
>
> The IESG also observes that the IETF posts all IPR disclosures (other
> than obvious spam, which is not an IPR disclosure), as they are
> received, in our IPR disclosure database. This database is available at
> https://www.ietf.org/ipr/.
>
> However, as noted in BCP 79, the IETF will make no determination about
> the validity of any particular IPR claim. Neither the IETF nor the IESG
> makes any attempt to verify patent validity or the validity of any other
> statements in the IPR disclosure text. As BCP 79, Sec. 4(B) indicates:
>
> "The IESG disclaims any responsibility for identifying the
> existence of or for evaluating the applicability of any IPR,
> disclosed or otherwise, to any IETF technology, specification or
> standard, and will take no position on the validity or scope of
> any such IPR claims."
>
> The material posted as IPR disclosures should be viewed as originating
> from the source of that information, and any issue or question related
> to the material should be directed to the source rather than the IETF.
> There is no implied endorsement or agreement by the IETF or the IESG
> with any of the material.
>

---

From: Eliot Lear <[email-masked]>
Date: Fri, 8 Jul 2016 18:20:19 +0200

Hi Barry,

> covers the IAB, and maybe the IAOC, ISOC, and the IETF Secretariat.

If I read correctly between the lines, and one must do that since the
IESG has not been clear as to why they wish to issue the statement, the
IESG is saying that they do not want the IETF to be used as a football
in a court case as being in some way dispositive about whether or not
IPR is valid.  And that is all well and good because**very few of us are
actually lawyers.  I cannot, however, evaluate whether or not such a
statement actually accomplishes that goal.  I'm not a lawyer.  I could
also imagine some WG participants falsely extrapolating from this draft
statement that they may not raise a discussion about IPR.  I believe the
statement should be clearer  as to its intent and on this point.

Eliot

---

From: John C Klensin <[email-masked]>
Date: Fri, 08 Jul 2016 12:33:41 -0400

--On Friday, July 08, 2016 11:34 -0400 Barry Leiba
<[email-masked]> wrote:

> The statement below seems to amount to "The IESG has nothing
> to do with IPR disclosures," and nothing more.  I don't
> understand why the IESG wants to put that out as an IESG
> Statement, rather than, say, posting it prominently on the IPR
> disclosure pages (where people who need to see it might
> actually see it), and making sure that it also covers the IAB,
> and maybe the IAOC, ISOC, and the IETF Secretariat.

+1... and three additional options.

(1) The statement seems to be just a reprise of the Note Well
from a different point of view.  As is pointed out every time
there is an effort to tune the Note Well, there is significant
danger of people taking the statement as a sufficient summary of
what the BCP(s) actually say.  More than one such statement
makes that even worse, so please don't do this.  If the IESG
thinks that more is needed, tune the Note Well.

(2) While "the IESG has nothing to do with..." (which I also
interpret from the note) would mostly have been true at one
time, RFC 6701 explicitly puts WG Chairs and the IESG into the
enforcement business.  If this statement is to be issued in any
form, 6701 should be updated and replaced to identify that
additional way of notifying the community.

(3) When I heard that the IESG was planning an additional
statement in this area, I assumed it would address the one
recent claimed development that seemed to be a loose end --
whether someone who is listed as both an inventor and a
co-author on a document can possibly claim to not have
reasonably have personal knowledge of a possible or perceived
interaction between the two.   I think current version of BCP 79
might actually be a tad weak there: such inventors not
disclosing because of (unpublished) hair-splitting that might
make the invention inapplicable is not in the community's
interest.  I think the intent of BCP 79 is (or should be) that
they disclose and, if appropriate, disclose why they don't think
there is an interaction.    Anything else just feels a little
sleazy and does not benefit either the IETF processes or the
inventor -- especially given the risk that the inventor's
company will later come along and try to enforce the patent
against users of the IETF's spec, disclosing only after others
build products or when the enforcement action is started.  I
think BCP 79 allows enough latitude for a formal interpretation
along those lines.  But this statement is completely silent on
the matter.

  best,
    john

---

From: Barry Leiba <[email-masked]>
Date: Fri, 8 Jul 2016 13:05:12 -0400

On the third point...

> along those lines.  But this statement is completely silent on

I agree that clarification of that is important, but I think it's
entirely out of scope for an IESG statement, and, rather, something
that has to be addressed by the BCP 79 update work.

Barry

---

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 8 Jul 2016 18:57:27 +0100

AFAICS the only new material is in the final paragraph, although the last sentence is also apparently not new.

I would advise the IESG to not make a statement in parallel to BCP 79 since alternative wording of the same material will create rather than remove ambiguity. Say new things if they need to be said; revise BCP 79 if it needs to be revised; but don't make statements that look like they are "talking for the sake of talking."

Adrian

> -----Original Message-----
> From: IETF-Announce [mailto:[email-masked]] On Behalf Of
> IESG Secretary
> Sent: 07 July 2016 21:21
> To: IETF Announcement List
> Subject: Proposed IESG Statement on IPR Declarations
>

---

From: John C Klensin <[email-masked]>
Date: Fri, 08 Jul 2016 13:57:36 -0400

--On Friday, July 08, 2016 13:05 -0400 Barry Leiba
<[email-masked]> wrote:

>> interaction between the two.   I think current version of BCP
>> 79 might actually be a tad weak there: such inventors not
>> they disclose and, if appropriate, disclose why they don't
>> think there is an interaction.    Anything else just feels a
>> little sleazy and does not benefit either the IETF processes
>> or the inventor -- especially given the risk that the
>> inventor's company will later come along and try to enforce
>> the patent against users of the IETF's spec, disclosing only
>> after others build products or when the enforcement action is
>> started.  I think BCP 79 allows enough latitude for a formal
>> interpretation along those lines.  But this statement is
>> completely silent on the matter.
> 
> I agree that clarification of that is important, but I think
> it's entirely out of scope for an IESG statement, and, rather,
> something that has to be addressed by the BCP 79 update work.

We could quibble about where the boundary about clarifications
lies, especially given the language of 6701, but wfm.  But that
also suggests that, if _any_ additional clarification about the
rules, or pointers to them, are needed beyond what BCP 79 and
the Note Well already say, the substantive issues need to be
sorted out as part of that BCP 79 update discussion and that an
IESG statement is not a proper way to accomplish it.  It may
also suggest that key provisions of 6701 should be considered as
part of that BCP 79 effort.

   john

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 9 Jul 2016 19:36:00 +1200

"The material posted as IPR disclosures should be viewed as originating
from the source of that information, and any issue or question related
to the material should be directed to the source rather than the IETF.
There is no implied endorsement or agreement by the IETF or the IESG
with any of the material."

I read that text as being a no-op. If there is legal advice that it is not
a no-op, fine, but it should then be added to the boilerplate at
https://datatracker.ietf.org/ipr/. But that already says "The IETF takes
no position..." so I think it is a genuine no-op.

Therefore, I suggest dropping the whole thing.

   Brian

---

From: joel jaeggli <[email-masked]>
Date: Sat, 9 Jul 2016 12:02:11 -0700

> IESG Statement on IPR Declarations:

IMHO this is an IESG statement on the IESG posture respecting IPR
declarations rather than  an IESG Statement on IPR Declarations .

It adds no color either to my understanding of BCP 79 as applied to ietf
work or my own role as an IESG member.

It may add color  if you haven't read BCP 79 or rfc 2026 section 10

https://tools.ietf.org/html/bcp79

https://tools.ietf.org/html/rfc2026#section-10

if you haven't, you should.

joel

---

From: Jari Arkko <[email-masked]>
Date: Wed, 13 Jul 2016 00:38:32 +0200

Barry, Brian, et al,

This is indeed not designed to be a change of procedure. And we’re open to doing this in various ways, either as an update of some text on the appropriate web page, or as initially proposed, an IESG statement.

However, I wanted to say that we received advise from IETF lawyers that highlighting that we do not check or endorse statements in the IPR declarations more visibly would be useful, even if the material is already presented in the RFCs.

A few more follow-ups:

John:

> RFC 6701 explicitly puts WG Chairs and the IESG into the
> enforcement business

RFC 6701 is about the responsibility of contributors to make
declarations. And actions if that doesn’t happen. It is *not*
about the content of those declarations, however.

> might actually be a tad weak there

There a number of different things we might have to do with IPRs.

Does bcp79bis (draft-bradner-rfc3979bis) cover your issue? If not,
please submit an issue to Scott and Jorge.

That document is on our plate to complete (and mostly on my plate,
Scott and Jorge are awaiting me for the next steps).

Jari

---

From: Dave Crocker <[email-masked]>
Date: Wed, 13 Jul 2016 07:03:28 +0100

On 7/8/2016 6:57 PM, Adrian Farrel wrote:
>  would advise the IESG to not make a statement in parallel to BCP 79 since alternative wording of the same material will create rather than remove ambiguity.

+1

d/

-- 

   Dave Crocker
   Brandenburg InternetWorking
   bbiw.net

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 13 Jul 2016 18:37:43 +1200

> However, I wanted to say that we received advise from IETF lawyers that highlighting that we do not check or endorse statements in the IPR declarations more visibly would be useful, even if the mat…

Understood. But surely https://datatracker.ietf.org/ipr/... is the most visible place
to do that.

    Brian

---

From: John C Klensin <[email-masked]>
Date: Wed, 13 Jul 2016 08:24:42 -0400

--On Wednesday, July 13, 2016 00:38 +0200 Jari Arkko
<[email-masked]> wrote:

>...
> However, I wanted to say that we received advise from IETF
> lawyers that highlighting that we do not check or endorse
> statements in the IPR declarations more visibly would be
> useful, even if the material is already presented in the RFCs.

Are these the same lawyers who, IIR, warned us some years ago
that making the Note Well look comprehensive could leave us in a
situation in which the BCP documents themselves were
unenforceable, especially if there was anything that could be
interpreted as a discrepancy between the two?  IANAL, but it
seems to me that more documents/statements increases that risk.

It seems to me that, if anything additional is needed, we should
be either fixing the Note Well or putting the additional
explanation on the IPR page (as Brian suggests).   I do have two
concerns about the latter: (i) More documents and hence more
basis for people defending themselves against non-compliance by
saying "too many places to look; missed that one" and (ii)
anyone who is already on the IPR page probably doesn't need
additional advice, especially advice to either look there or to
read BCP 79

>...
> declarations. And actions if that doesn't happen. It is *not*

In reality, neither is BCP 79.  It attempts to describe
circumstances under which one SHOULD or MUST disclose.  But its
Section 6.4 actually says remarkably little, especially for
third party (and therefore "SHOULD") disclosures.  Again, IANAL,
but I believe that a lawyer for EvilCorp could look at BCP 79
and say "our IETF participants are required by BCP 79 to
disclose, so we will do that rather than getting involved with
later claims about patent enforceability, but we will devise a
way to do so that actually exposes almost no information and is
belligerent about it".  I think it is clear that the intent of
BCP 79 is to discourage that sort of behavior and even to lay
the foundation for challenges (outside the IETF) to patent
enforcement.  But it is also an edge case and I don't think it
would be desirable for there to be any statements floating
around that could be construed as preventing the community
(including the IESG) from saying, "your disclosure, which
basically says 'nah, nah, nah' violates the intent of BCP 79 by
not providing any information a WG can evaluate and we are going
to invoke RFC 6701 unless you clean up your act".  I don't
suggest the IESG should do that, but it would be an "evaluation"
of the content of the disclosure and I'd rather see a
case-by-case judgment call than the IESG boxing itself (and the
community) into a corner by creating a constraint that BCP 79
does not create.

>...
> Does bcp79bis (draft-bradner-rfc3979bis) cover your issue? If
> not, please submit an issue to Scott and Jorge.
> 
> That document is on our plate to complete (and mostly on my
> plate, Scott and Jorge are awaiting me for the next steps).

I believe I have submitted issues and gotten no applicable
response.

    john

---

From: Dave Crocker <[email-masked]>
Date: Wed, 13 Jul 2016 14:43:49 +0100

On 7/13/2016 1:24 PM, John C Klensin wrote:
> it
> explanation on the IPR page (as Brian suggests).

+1

d/